from paircd.client import Client
from paircd.command_handler import CommandHandler
from paircd.message import Message
from paircd.server import Server


class QuitHandler(CommandHandler):
    def __init__(self) -> None:
        super().__init__("QUIT")

    async def handle(self, server: Server, client: Client, msg: Message) -> None:
        quit_msg = ""
        if len(msg.args) == 1:
            quit_msg = msg.args[0]
        await server.disconnect_client(client.nickname, f"Quit: {quit_msg}")
